de.esprit.netsuite.transl

## Enum TrEnsMsg

- java.lang.Object
- - java.lang.Enum<TrEnsMsg>
  - - de.esprit.netsuite.transl.TrEnsMsg

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEnsMsg>

      public enum TrEnsMsg
      extends java.lang.Enum<TrEnsMsg>
      implements NlsKey

  Translations for info/warning/error messages
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A_0_MESSAGE_FROM_SERVER`
    `ABO_IS_OFFLINE_0`
    `ACIVITY_WAS_CANCELLED_BY_0`
    `AGENT_0_HAD_FATAL_ERROR`
    `AGENT_0_HAS_NO_TRANSFER_JOB`
    `AGENT_0_REQUEST_LOOP_ON_1`
    `ALREADY_CONNECTED_TO_SERVER`
    `ASYNC_AGENT_0_TIMEOUT_1`
    `ASYNC_TIMEOUT_OF_0_AFTER_1`
    `BI_NOT_FOUND_IN_CACHE_0`
    `CANNOT_CLEAR_ADMIN_PASSWORD`
    `CANNOT_CONFIGURE_DURING_RUN`
    `CANNOT_DELETE_MAIN_ADMIN_0`
    `CANNOT_HANDLE_REQUEST_0`
    `CANNOT_LOCK_YOURSELF`
    `CANNOT_REMOVE_ADMIN_PERM_ON_YOURSELF`
    `CHECK_CONNECTION_CABLE`
    `CLIENT_MSG_RECEIVED_FROM_0`
    `CLIENT_RECEIVED`
    `CLIENT_TERMINATED_BY_0`
    `CLIENT_TIMEOUT_AFTER_0_SEC`
    `COMMAND_MUST_BE_STRING_ARRAY`
    `CONN_FAILED_AFTER_0_RETRIES`
    `CONNECTION_TIMEOUT_AFTER_0_SEC`
    `CONNECTOR_CLOSED`
    `CREATING_CLIENT_CONTEXT`
    `CREATING_MAINFRAME`
    `CREATING_NETWORK_CHANNELS`
    `CREATING_SERVER_CONNECTION`
    `CURRENT_GROUP_USERS_0`
    `DOWNLOAD_FILE_0`
    `EMPTY_PASSWORD_NOT_ALLOWED`
    `ENTER_VALID_EMAIL`
    `ERROR_IN_AGENT_MESSAGE_0`
    `ERROR_IN_AGENT_RESPONSE_0`
    `EXCEPTION_FROM_SERVER`
    `EXIT_ON_LOST_SERVER`
    `FAILED_DELETE_FILE_0`
    `FAILED_DELETE_SERVER_FILE_0`
    `FAILED_FOLLOW_LINK_0`
    `FAILED_GET_PAGE_FOR_URL_0`
    `FAILED_RENAME_FILE_0_TO_1`
    `FAILED_STORE_SERVER_FILE_0`
    `FAILED_TO_SEND_AGENT_0`
    `FILE_0_SAVED_ON_SERVER`
    `FILE_TRANSFER_FAILED_FOR_0`
    `FINAL_EXECUTION_FAILED`
    `GROUP_0_HAS_NO_1_PERMISSION_ON_2`
    `GROUP_0_HAS_STILL_1_MEMBERS`
    `GROUP_0_HAS_STILL_1_USERS`
    `GROUP_EXISTS_ALREADY_0`
    `INVALID_ABO_PRIMARY_KEY`
    `INVALID_DOUBLE_GROUP_0`
    `INVALID_DOUBLE_USER_0`
    `INVALID_EMAIL_ADDRESS`
    `INVALID_GROUP_0`
    `INVALID_LOGIN_PASSWORD`
    `INVALID_LOGIN_WITH_NAME_0`
    `INVALID_RESPONSE_OBJECT_0`
    `INVALID_VERSION_CL_0_SR_1`
    `MAX_USER_CONNS_0_EXCEEDED`
    `MIN_PASSWORD_LENGTH_0`
    `MISSING_ADMIN_PERMISSION_0`
    `MISSING_CLIENT_BASEDIR_0`
    `MISSING_CLIENT_FILE_0`
    `MISSING_CO_SERVER_0`
    `MISSING_LOGIN_TO_PERFORM_0_ACTION_ON_1`
    `MISSING_MESSAGE_CONNECTION`
    `MISSING_MESSAGE_REGISTRY_FOR_0`
    `MISSING_OSPROC_WORKING_DIR_0`
    `MISSING_SERVER_DIR_0`
    `MISSING_SERVER_FILE_0`
    `MISSING_SERVER_RESPONSE_FOR_0`
    `MISSING_URL_INPUT`
    `MISSING_USER_LOGIN`
    `NET_ACTION_0_FAILED`
    `NEW_PASSWORD_IS_INVALID`
    `NEW_PASSWORD_MUST_BE_DIFFERENT`
    `NO_SUCH_CLIENT_COMMAND_1`
    `NO_SUCH_CLIENT_FOUND_0`
    `NO_SUCH_DATASOURCE_0`
    `NO_SUCH_STREAM_TASK_0`
    `NO_SUCH_TRANSFER_TASK_0`
    `NO_SUCH_USER_WITH_NAME_0`
    `NO_SUCH_USER_WITH_UID_0`
    `NOT_CONNECTED_TO_SERVER`
    `NOT_OWNER_OF_LOCK_0_TYPE_1`
    `OBJECT_0_EXISTS_ALREADY`
    `PASSWORD_CHANGED_BY_ADMIN_0`
    `PASSWORD_ENCRYPTION_FAILED`
    `PASSWORDS_DONT_MATCH`
    `PROCESS_0_RUNNING`
    `RECONNECTION_FAILED`
    `RELOGIN_ONLY_WITH_NEW_PASSWD`
    `REQUEST_0_FAILED`
    `RESOURCE_0_LOCKED_1_BY_2`
    `RESRC_0_LOCK_1_TIMEOUT_2`
    `SERVER_0_SHUTDOWN_BY_1`
    `SERVER_FORCED_RELEASE_OF_ALL_LOCKS`
    `SERVER_FORCED_RELEASE_OF_LOCK_0`
    `SERVER_SHUT_DOWN_BY_0_IN_1`
    `SERVER_SHUTTING_DOWN`
    `SERVER_TIMEOUT_AFTER_0_SEC`
    `SERVER_TOO_BUSY_AGENT_0`
    `SERVER_TOO_BUSY_REQUEST_0`
    `STALE_LOCK_0_TYPE_1`
    `TASK_0_CANCELLED_BY_USER_1`
    `TERMINATE_CLIENTS`
    `TEST_SERVER_EXCEPTION_0_1`
    `TOO_BUSY_WITH_0_TRANSFERS`
    `TRANSFER_0_ALREADY_RUNNING`
    `TRANSFER_0_CANCELLED_BY_USER_1`
    `TRANSFER_0_RUNNING_FOR_USER_1`
    `UNSUPPORTED_FOR_ASYNC_AGENTS`
    `UPLOAD_FILE_0`
    `USER_0_HAS_NO_1_PERMISSION_ON_2`
    `USER_ALREADY_LOGGED_IN`
    `USER_EXISTS_ALREADY_0`
    `USER_IS_LOCKED_0`
    `USER_IS_STILL_LOGGED_IN_0`
    `YOU_MUST_EXIT`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEnsMsg` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEnsMsg[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### NET_ACTION_0_FAILED

          public static final TrEnsMsg NET_ACTION_0_FAILED

    - #### REQUEST_0_FAILED

          public static final TrEnsMsg REQUEST_0_FAILED

    - #### ENTER_VALID_EMAIL

          public static final TrEnsMsg ENTER_VALID_EMAIL

    - #### INVALID_EMAIL_ADDRESS

          public static final TrEnsMsg INVALID_EMAIL_ADDRESS

    - #### OBJECT_0_EXISTS_ALREADY

          public static final TrEnsMsg OBJECT_0_EXISTS_ALREADY

    - #### TERMINATE_CLIENTS

          public static final TrEnsMsg TERMINATE_CLIENTS

    - #### PROCESS_0_RUNNING

          public static final TrEnsMsg PROCESS_0_RUNNING

    - #### SERVER_0_SHUTDOWN_BY_1

          public static final TrEnsMsg SERVER_0_SHUTDOWN_BY_1

    - #### SERVER_SHUT_DOWN_BY_0_IN_1

          public static final TrEnsMsg SERVER_SHUT_DOWN_BY_0_IN_1

    - #### YOU_MUST_EXIT

          public static final TrEnsMsg YOU_MUST_EXIT

    - #### EXIT_ON_LOST_SERVER

          public static final TrEnsMsg EXIT_ON_LOST_SERVER

    - #### CLIENT_RECEIVED

          public static final TrEnsMsg CLIENT_RECEIVED

    - #### ERROR_IN_AGENT_RESPONSE_0

          public static final TrEnsMsg ERROR_IN_AGENT_RESPONSE_0

    - #### ERROR_IN_AGENT_MESSAGE_0

          public static final TrEnsMsg ERROR_IN_AGENT_MESSAGE_0

    - #### AGENT_0_HAD_FATAL_ERROR

          public static final TrEnsMsg AGENT_0_HAD_FATAL_ERROR

    - #### FAILED_TO_SEND_AGENT_0

          public static final TrEnsMsg FAILED_TO_SEND_AGENT_0

    - #### ASYNC_AGENT_0_TIMEOUT_1

          public static final TrEnsMsg ASYNC_AGENT_0_TIMEOUT_1

    - #### CLIENT_MSG_RECEIVED_FROM_0

          public static final TrEnsMsg CLIENT_MSG_RECEIVED_FROM_0

    - #### RESRC_0_LOCK_1_TIMEOUT_2

          public static final TrEnsMsg RESRC_0_LOCK_1_TIMEOUT_2

    - #### FAILED_STORE_SERVER_FILE_0

          public static final TrEnsMsg FAILED_STORE_SERVER_FILE_0

    - #### FILE_0_SAVED_ON_SERVER

          public static final TrEnsMsg FILE_0_SAVED_ON_SERVER

    - #### NOT_CONNECTED_TO_SERVER

          public static final TrEnsMsg NOT_CONNECTED_TO_SERVER

    - #### ALREADY_CONNECTED_TO_SERVER

          public static final TrEnsMsg ALREADY_CONNECTED_TO_SERVER

    - #### MISSING_USER_LOGIN

          public static final TrEnsMsg MISSING_USER_LOGIN

    - #### USER_ALREADY_LOGGED_IN

          public static final TrEnsMsg USER_ALREADY_LOGGED_IN

    - #### USER_IS_LOCKED_0

          public static final TrEnsMsg USER_IS_LOCKED_0

    - #### MISSING_ADMIN_PERMISSION_0

          public static final TrEnsMsg MISSING_ADMIN_PERMISSION_0

    - #### CONNECTION_TIMEOUT_AFTER_0_SEC

          public static final TrEnsMsg CONNECTION_TIMEOUT_AFTER_0_SEC

    - #### CLIENT_TIMEOUT_AFTER_0_SEC

          public static final TrEnsMsg CLIENT_TIMEOUT_AFTER_0_SEC

    - #### SERVER_TIMEOUT_AFTER_0_SEC

          public static final TrEnsMsg SERVER_TIMEOUT_AFTER_0_SEC

    - #### TOO_BUSY_WITH_0_TRANSFERS

          public static final TrEnsMsg TOO_BUSY_WITH_0_TRANSFERS

    - #### RECONNECTION_FAILED

          public static final TrEnsMsg RECONNECTION_FAILED

    - #### CONN_FAILED_AFTER_0_RETRIES

          public static final TrEnsMsg CONN_FAILED_AFTER_0_RETRIES

    - #### CHECK_CONNECTION_CABLE

          public static final TrEnsMsg CHECK_CONNECTION_CABLE

    - #### MAX_USER_CONNS_0_EXCEEDED

          public static final TrEnsMsg MAX_USER_CONNS_0_EXCEEDED

    - #### NO_SUCH_USER_WITH_NAME_0

          public static final TrEnsMsg NO_SUCH_USER_WITH_NAME_0

    - #### INVALID_LOGIN_WITH_NAME_0

          public static final TrEnsMsg INVALID_LOGIN_WITH_NAME_0

    - #### NO_SUCH_USER_WITH_UID_0

          public static final TrEnsMsg NO_SUCH_USER_WITH_UID_0

    - #### FAILED_FOLLOW_LINK_0

          public static final TrEnsMsg FAILED_FOLLOW_LINK_0

    - #### MISSING_URL_INPUT

          public static final TrEnsMsg MISSING_URL_INPUT

    - #### PASSWORDS_DONT_MATCH

          public static final TrEnsMsg PASSWORDS_DONT_MATCH

    - #### INVALID_LOGIN_PASSWORD

          public static final TrEnsMsg INVALID_LOGIN_PASSWORD

    - #### EMPTY_PASSWORD_NOT_ALLOWED

          public static final TrEnsMsg EMPTY_PASSWORD_NOT_ALLOWED

    - #### PASSWORD_ENCRYPTION_FAILED

          public static final TrEnsMsg PASSWORD_ENCRYPTION_FAILED

    - #### NEW_PASSWORD_MUST_BE_DIFFERENT

          public static final TrEnsMsg NEW_PASSWORD_MUST_BE_DIFFERENT

    - #### NEW_PASSWORD_IS_INVALID

          public static final TrEnsMsg NEW_PASSWORD_IS_INVALID

    - #### FILE_TRANSFER_FAILED_FOR_0

          public static final TrEnsMsg FILE_TRANSFER_FAILED_FOR_0

    - #### TRANSFER_0_ALREADY_RUNNING

          public static final TrEnsMsg TRANSFER_0_ALREADY_RUNNING

    - #### STALE_LOCK_0_TYPE_1

          public static final TrEnsMsg STALE_LOCK_0_TYPE_1

    - #### NOT_OWNER_OF_LOCK_0_TYPE_1

          public static final TrEnsMsg NOT_OWNER_OF_LOCK_0_TYPE_1

    - #### INVALID_VERSION_CL_0_SR_1

          public static final TrEnsMsg INVALID_VERSION_CL_0_SR_1

    - #### MISSING_CO_SERVER_0

          public static final TrEnsMsg MISSING_CO_SERVER_0

    - #### MIN_PASSWORD_LENGTH_0

          public static final TrEnsMsg MIN_PASSWORD_LENGTH_0

    - #### FAILED_GET_PAGE_FOR_URL_0

          public static final TrEnsMsg FAILED_GET_PAGE_FOR_URL_0

    - #### TRANSFER_0_RUNNING_FOR_USER_1

          public static final TrEnsMsg TRANSFER_0_RUNNING_FOR_USER_1

    - #### SERVER_FORCED_RELEASE_OF_LOCK_0

          public static final TrEnsMsg SERVER_FORCED_RELEASE_OF_LOCK_0

    - #### SERVER_FORCED_RELEASE_OF_ALL_LOCKS

          public static final TrEnsMsg SERVER_FORCED_RELEASE_OF_ALL_LOCKS

    - #### AGENT_0_REQUEST_LOOP_ON_1

          public static final TrEnsMsg AGENT_0_REQUEST_LOOP_ON_1

    - #### NO_SUCH_CLIENT_FOUND_0

          public static final TrEnsMsg NO_SUCH_CLIENT_FOUND_0

    - #### MISSING_MESSAGE_REGISTRY_FOR_0

          public static final TrEnsMsg MISSING_MESSAGE_REGISTRY_FOR_0

    - #### NO_SUCH_DATASOURCE_0

          public static final TrEnsMsg NO_SUCH_DATASOURCE_0

    - #### EXCEPTION_FROM_SERVER

          public static final TrEnsMsg EXCEPTION_FROM_SERVER

    - #### A_0_MESSAGE_FROM_SERVER

          public static final TrEnsMsg A_0_MESSAGE_FROM_SERVER

    - #### MISSING_CLIENT_BASEDIR_0

          public static final TrEnsMsg MISSING_CLIENT_BASEDIR_0

    - #### MISSING_CLIENT_FILE_0

          public static final TrEnsMsg MISSING_CLIENT_FILE_0

    - #### MISSING_SERVER_DIR_0

          public static final TrEnsMsg MISSING_SERVER_DIR_0

    - #### MISSING_SERVER_FILE_0

          public static final TrEnsMsg MISSING_SERVER_FILE_0

    - #### MISSING_MESSAGE_CONNECTION

          public static final TrEnsMsg MISSING_MESSAGE_CONNECTION

    - #### FAILED_DELETE_FILE_0

          public static final TrEnsMsg FAILED_DELETE_FILE_0

    - #### FAILED_RENAME_FILE_0_TO_1

          public static final TrEnsMsg FAILED_RENAME_FILE_0_TO_1

    - #### ACIVITY_WAS_CANCELLED_BY_0

          public static final TrEnsMsg ACIVITY_WAS_CANCELLED_BY_0

    - #### UNSUPPORTED_FOR_ASYNC_AGENTS

          public static final TrEnsMsg UNSUPPORTED_FOR_ASYNC_AGENTS

    - #### FAILED_DELETE_SERVER_FILE_0

          public static final TrEnsMsg FAILED_DELETE_SERVER_FILE_0

    - #### RESOURCE_0_LOCKED_1_BY_2

          public static final TrEnsMsg RESOURCE_0_LOCKED_1_BY_2

    - #### SERVER_SHUTTING_DOWN

          public static final TrEnsMsg SERVER_SHUTTING_DOWN

    - #### GROUP_EXISTS_ALREADY_0

          public static final TrEnsMsg GROUP_EXISTS_ALREADY_0

    - #### USER_EXISTS_ALREADY_0

          public static final TrEnsMsg USER_EXISTS_ALREADY_0

    - #### USER_IS_STILL_LOGGED_IN_0

          public static final TrEnsMsg USER_IS_STILL_LOGGED_IN_0

    - #### CANNOT_DELETE_MAIN_ADMIN_0

          public static final TrEnsMsg CANNOT_DELETE_MAIN_ADMIN_0

    - #### INVALID_GROUP_0

          public static final TrEnsMsg INVALID_GROUP_0

    - #### TEST_SERVER_EXCEPTION_0_1

          public static final TrEnsMsg TEST_SERVER_EXCEPTION_0_1

    - #### CANNOT_REMOVE_ADMIN_PERM_ON_YOURSELF

          public static final TrEnsMsg CANNOT_REMOVE_ADMIN_PERM_ON_YOURSELF

    - #### CANNOT_LOCK_YOURSELF

          public static final TrEnsMsg CANNOT_LOCK_YOURSELF

    - #### CANNOT_CLEAR_ADMIN_PASSWORD

          public static final TrEnsMsg CANNOT_CLEAR_ADMIN_PASSWORD

    - #### FINAL_EXECUTION_FAILED

          public static final TrEnsMsg FINAL_EXECUTION_FAILED

    - #### CANNOT_HANDLE_REQUEST_0

          public static final TrEnsMsg CANNOT_HANDLE_REQUEST_0

    - #### ASYNC_TIMEOUT_OF_0_AFTER_1

          public static final TrEnsMsg ASYNC_TIMEOUT_OF_0_AFTER_1

    - #### SERVER_TOO_BUSY_AGENT_0

          public static final TrEnsMsg SERVER_TOO_BUSY_AGENT_0

    - #### SERVER_TOO_BUSY_REQUEST_0

          public static final TrEnsMsg SERVER_TOO_BUSY_REQUEST_0

    - #### INVALID_RESPONSE_OBJECT_0

          public static final TrEnsMsg INVALID_RESPONSE_OBJECT_0

    - #### BI_NOT_FOUND_IN_CACHE_0

          public static final TrEnsMsg BI_NOT_FOUND_IN_CACHE_0

    - #### MISSING_OSPROC_WORKING_DIR_0

          public static final TrEnsMsg MISSING_OSPROC_WORKING_DIR_0

    - #### MISSING_SERVER_RESPONSE_FOR_0

          public static final TrEnsMsg MISSING_SERVER_RESPONSE_FOR_0

    - #### GROUP_0_HAS_STILL_1_USERS

          public static final TrEnsMsg GROUP_0_HAS_STILL_1_USERS

    - #### CURRENT_GROUP_USERS_0

          public static final TrEnsMsg CURRENT_GROUP_USERS_0

    - #### CLIENT_TERMINATED_BY_0

          public static final TrEnsMsg CLIENT_TERMINATED_BY_0

    - #### PASSWORD_CHANGED_BY_ADMIN_0

          public static final TrEnsMsg PASSWORD_CHANGED_BY_ADMIN_0

    - #### RELOGIN_ONLY_WITH_NEW_PASSWD

          public static final TrEnsMsg RELOGIN_ONLY_WITH_NEW_PASSWD

    - #### TASK_0_CANCELLED_BY_USER_1

          public static final TrEnsMsg TASK_0_CANCELLED_BY_USER_1

    - #### TRANSFER_0_CANCELLED_BY_USER_1

          public static final TrEnsMsg TRANSFER_0_CANCELLED_BY_USER_1

    - #### NO_SUCH_CLIENT_COMMAND_1

          public static final TrEnsMsg NO_SUCH_CLIENT_COMMAND_1

    - #### CREATING_CLIENT_CONTEXT

          public static final TrEnsMsg CREATING_CLIENT_CONTEXT

    - #### CREATING_NETWORK_CHANNELS

          public static final TrEnsMsg CREATING_NETWORK_CHANNELS

    - #### CREATING_SERVER_CONNECTION

          public static final TrEnsMsg CREATING_SERVER_CONNECTION

    - #### CREATING_MAINFRAME

          public static final TrEnsMsg CREATING_MAINFRAME

    - #### NO_SUCH_STREAM_TASK_0

          public static final TrEnsMsg NO_SUCH_STREAM_TASK_0

    - #### NO_SUCH_TRANSFER_TASK_0

          public static final TrEnsMsg NO_SUCH_TRANSFER_TASK_0

    - #### AGENT_0_HAS_NO_TRANSFER_JOB

          public static final TrEnsMsg AGENT_0_HAS_NO_TRANSFER_JOB

    - #### COMMAND_MUST_BE_STRING_ARRAY

          public static final TrEnsMsg COMMAND_MUST_BE_STRING_ARRAY

    - #### INVALID_ABO_PRIMARY_KEY

          public static final TrEnsMsg INVALID_ABO_PRIMARY_KEY

    - #### ABO_IS_OFFLINE_0

          public static final TrEnsMsg ABO_IS_OFFLINE_0

    - #### CANNOT_CONFIGURE_DURING_RUN

          public static final TrEnsMsg CANNOT_CONFIGURE_DURING_RUN

    - #### CONNECTOR_CLOSED

          public static final TrEnsMsg CONNECTOR_CLOSED

    - #### USER_0_HAS_NO_1_PERMISSION_ON_2

          public static final TrEnsMsg USER_0_HAS_NO_1_PERMISSION_ON_2

    - #### GROUP_0_HAS_NO_1_PERMISSION_ON_2

          public static final TrEnsMsg GROUP_0_HAS_NO_1_PERMISSION_ON_2

    - #### MISSING_LOGIN_TO_PERFORM_0_ACTION_ON_1

          public static final TrEnsMsg MISSING_LOGIN_TO_PERFORM_0_ACTION_ON_1

    - #### DOWNLOAD_FILE_0

          public static final TrEnsMsg DOWNLOAD_FILE_0

    - #### UPLOAD_FILE_0

          public static final TrEnsMsg UPLOAD_FILE_0

    - #### GROUP_0_HAS_STILL_1_MEMBERS

          public static final TrEnsMsg GROUP_0_HAS_STILL_1_MEMBERS

    - #### INVALID_DOUBLE_GROUP_0

          public static final TrEnsMsg INVALID_DOUBLE_GROUP_0

    - #### INVALID_DOUBLE_USER_0

          public static final TrEnsMsg INVALID_DOUBLE_USER_0

  - ### Method Detail

    - #### values

          public static TrEnsMsg[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEnsMsg c : TrEnsMsg.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEnsMsg valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.